KUIVIEWER(1)

NAME
kuiviewer - a viewer for Qt Designer user interface files

SYNOPSIS
kuiviewer [ generic-options ] [ ui-file... ]

kuiviewer [ generic-options ] { -s, --takescreenshot filename } [ -w, --screenshotwidth int ] [ -h, --screenshotheight int ] ui-file

DESCRIPTION
KUIViewer is a utility to display and test the user interface (.ui) files generated by Qt Designer. The interfaces can be displayed in a variety of different widget styles.

Normally KUIViewer launches a full GUI, allowing the user to interact with the given interface. By passing the --takescreenshot option, you can make KUIViewer dump a screenshot of the interface instead and exit immediately. Other options are available to control precisely how this screenshot is constructed.

This application is part of the TDE Software Development Kit.

OPTIONS
Below are the kuiviewer-specific options. For a full summary of options, run kuiviewer --help.

-s, --takescreenshot filename
    Take a screenshot of the given interface and exit immediately. The filename argument specifies where the screenshot will be saved. This screenshot will be saved in PNG format.

-w, --screenshotwidth int
    Before taking a screenshot, resize the interface to the given width.

-h, --screenshotheight int
    Before taking a screenshot, resize the interface to the given height.

SEE ALSO
designer(1).

AUTHOR
KUIViewer was written by Richard Moore <rich@kde.org>, Ian Reinhart Geiser <geiseri@kde.org> and Benjamin C. Meyer <ben+kuiviewer@meyerhome.net>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).